Skip to main content

Create a custom field

POST 

/api/custom-fields

Required permissions:

  • settings.company: allows creating custom field resources.
warning

Requires "Custom Fields" feature to be enabled.

Request

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    name stringrequired

    Possible values: <= 30 characters

    The custom field name

    description string

    The custom field description

    type stringrequired

    Possible values: [single_option]

    The custom field type

    domain stringrequired

    Possible values: [project_plan]

    The domain the custom field is bound to

    required boolean

    Whether a value is required for this custom field

    sort integer

    The sort position of the custom field

Responses

Returns the custom field created.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 255 characters

    The custom field name

    description string

    The custom field description

    type stringrequired

    The custom field type

    domain stringrequired

    The domain the custom field is bound to

    required booleanrequired

    Whether a value is required for this custom field

    sort integerrequired

    The sort position of the custom field

    options

    object[]

    The list of options of this custom field. Only available when type is single_option, status or multi_select.

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 255 characters

    The custom field option name

    color string

    The hex color code of the option

    sort integerrequired

    The sort position of the option

    custom_field_id integerrequired

    The id of the custom field this option belongs to

    deleted_at date-time

    The date and time when the resource was deleted

  • ]

  • archived_at date-time

    The date and time when the resource was archived

    deleted_at date-time

    The date and time when the resource was deleted

Loading...